Bug 477672 - libgweather multilib conflict
libgweather multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgweather (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Patch
: 494088 509167 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 15:20 EST by Philippe Troin
Modified: 2009-07-02 17:01 EDT (History)
11 users (show)

See Also:
Fixed In Version: 2.26.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.51 KB, patch)
2009-03-11 15:01 EDT, Dan Winship
no flags Details | Diff

  None (edit)
Description Philippe Troin 2008-12-22 15:20:31 EST
Description of problem:

yum install libgweather.i386 libgweather.x86_64

yields:

  file /usr/share/locale/am/LC_MESSAGES/libgweather.mo from install of libgweather-2.24.2-1.fc10.i386 conflicts with file from package libgweather-2.24.2-1.fc10.x86_64
  file /usr/share/locale/ar/LC_MESSAGES/libgweather.mo from install of libgweather-2.24.2-1.fc10.i386 conflicts with file from package libgweather-2.24.2-1.fc10.x86_64
  file /usr/share/locale/as/LC_MESSAGES/libgweather.mo from install of libgweather-2.24.2-1.fc10.i386 conflicts with file from package libgweather-2.24.2-1.fc10.x86_64
...many more...

Version-Release number of selected component (if applicable):
libgweather-2.24.2-1.fc10
Comment 1 Dan Winship 2009-02-02 11:04:37 EST
Matthias, this is because the i386 and x86_64 translations have different POT-Creation-Date strings in the "" translation, because libgweather.spec rebuilds the .pot files at build time to prune unneeded strings:

    cd po
    make %{name}.pot
    for p in *.po; do
      msgmerge -U $p %{name}.pot
    done
    make
    cd ..

    # strip unneeded translations from .mo files
    # ideally intltool (ha!) would do that for us
    # http://bugzilla.gnome.org/show_bug.cgi?id=474987
    cd po
    grep -v ".*[.]desktop[.]in[.]in$\|.*[.]server[.]in[.]in$\|.*[.]schemas[.]in$" POTFILES.in > POTFILES.keep
    mv POTFILES.keep POTFILES.in
    intltool-update --pot
    for p in *.po; do
      msgmerge $p %{name}.pot > $p.out
      msgfmt -o `basename $p .po`.gmo $p.out
    done

The second part appears in other spec files too, and they all (potentially) have the same problem (though the timestamp is only accurate to the minute, so if the package is small or the timing otherwise works out right, it's possible that both will be rebuilt with the same timestamp on different machines).

For libgweather, the po-file-rewriting doesn't seem to have much effect in rawhide at least. (Most of libgweather's strings are in po-locations/, not po/ anyway.) So we could fix this bug for libgweather by just removing that code, but other libraries may still have the same problem (if not now, then possibly after their next rebuild...)
Comment 2 Matthias Clasen 2009-02-02 22:56:35 EST
The pain...
I'm sure i've added some touch hack in some of the other specs to fix this issue
Comment 3 Thomas Kowaliczek 2009-02-22 10:46:24 EST
I have the same error on Fedora 11 Rawhide
Comment 4 Dan Winship 2009-03-11 15:01:50 EDT
Created attachment 334848 [details]
patch

**** Access denied: danw is not in ACL for rpms/libgweather/devel

this copies in a fix from libgnome.spec (including even using the same hardcoded date, shrug).
Comment 5 Matthias Saou 2009-04-15 17:40:23 EDT
*** Bug 494088 has been marked as a duplicate of this bug. ***
Comment 6 Răzvan Sandu 2009-04-25 02:17:18 EDT
Hello,


I'm running the latest today rawhide prior to Fedora 11; this bug is still present in libgweather-2.26.1-1.fc11, preventing a „yum -y upgrade” of the whole system:


Best regards,
Răzvan

Transaction Check Error:
  file /usr/share/locale/am/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ar/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/as/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/az/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/be/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/be@latin/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/bg/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/bn/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/bn_IN/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/bs/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ca/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/cs/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/cy/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/da/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/de/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/dz/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/el/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/en_CA/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/en_GB/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_AR/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_CL/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_CO/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_CR/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_DO/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_EC/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_ES/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_GT/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_HN/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_MX/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_NI/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_PA/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_PE/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_PR/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_SV/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_UY/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/es_VE/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/et/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/eu/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/fa/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/fi/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ga/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/gl/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/gu/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/he/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/hi/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/hr/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/hu/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/hy/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/id/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/is/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/it/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ka/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/kn/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ko/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ku/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ky/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/lt/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/lv/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/mg/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/mk/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ml/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/mn/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/mr/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ms/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/nb/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ne/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/nl/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/nn/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/oc/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/or/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/pa/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/pt/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/pt_BR/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ro/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ru/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/rw/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/si/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sk/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sl/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sq/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sr/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sr@latin/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/sv/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/ta/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/te/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/th/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/tr/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/vi/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/wa/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/xh/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/zh_HK/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
  file /usr/share/locale/zh_TW/LC_MESSAGES/libgweather.mo conflicts between attempted installs of libgweather-2.26.1-1.fc11.i586 and libgweather-2.26.1-1.fc11.x86_64
Comment 7 Răzvan Sandu 2009-05-07 03:36:05 EDT
Hello,

Even if this bug is marked "priority=low", please note that a rawhide installation (which was upgraded from F10) cannot do full updates because of this multilib conflict.

An user cannot do "yum -y update" for the whole system: because of dependencies, he/she must manually exclude libgweather (both i386 and x86_64) and libgweather-devel.

Please publish corrected versions of these three packages, via online update.

Regards,
Razvan
Comment 8 John Anderson 2009-05-08 21:49:52 EDT
A simple work-around is to grab the libgweather RPM from http://fedora.secsup.org/linux//development/i386/os/Packages/ and do an rpm -ivh --force --nodeps on it

Then run YUM and it should work.
Comment 9 Răzvan Sandu 2009-05-10 04:03:09 EDT
Thanks, but it doesn't work: the conflict seems to be between files of the new packages:


Transaction Check Error:
  file /usr/share/locale/am/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ar/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/as/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/az/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/be/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/be@latin/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/bg/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/bn/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/bn_IN/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/bs/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ca/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/cs/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/cy/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/da/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/de/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/dz/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/el/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/en_CA/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/en_GB/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_AR/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_CL/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_CO/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_CR/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_DO/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_EC/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_ES/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_GT/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_HN/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_MX/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_NI/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_PA/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_PE/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_PR/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_SV/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_UY/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/es_VE/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/et/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/eu/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/fa/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/fi/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/fr/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ga/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/gl/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/gu/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/he/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/hi/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/hr/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/hu/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/hy/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/id/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/is/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/it/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ja/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ka/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/kn/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ko/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ku/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ky/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/lt/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/lv/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/mg/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/mk/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ml/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/mn/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/mr/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ms/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/nb/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ne/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/nl/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/nn/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/oc/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/or/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/pa/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/pl/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/pt/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/pt_BR/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ro/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ru/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/rw/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/si/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sk/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sl/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sq/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sr/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sr@latin/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/sv/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/ta/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/te/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/th/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/tr/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/uk/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/vi/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/wa/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/xh/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/zh_CN/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/zh_HK/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586
  file /usr/share/locale/zh_TW/LC_MESSAGES/libgweather.mo from install of libgweather-2.26.1-1.fc11.x86_64 conflicts with file from package libgweather-2.26.1-1.fc11.i586


Regards,
Răzvan
Comment 10 Matěj Cepl 2009-05-23 07:58:56 EDT
The same issue is reproducible in Rawhide (F11).
Comment 11 Stephen Thorne 2009-05-24 19:09:11 EDT
I'm still seeing this problem in Rawhide/F11.
Comment 12 Jens Petersen 2009-06-06 03:30:44 EDT
Can we please apply Dan's patch from comment 4?
Comment 13 Jens Petersen 2009-06-06 04:18:31 EDT
Or given bug 496000 maybe it is better to subpackage the translations?
Comment 14 Răzvan Sandu 2009-06-10 02:34:53 EDT
On my system, this bug is annoying mainly because it blocks the automatic updates for the whole system.

Specifically, I cannot install latest evolution and evolution-related packages because of the dependency:

evolution-data-server -> libgweather


Regards,
Răzvan
Comment 15 Fedora Update System 2009-06-10 23:18:57 EDT
libgweather-2.26.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgweather-2.26.1-3.fc11
Comment 16 Fedora Update System 2009-06-15 21:55:32 EDT
libgweather-2.26.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgweather'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6234
Comment 17 Răzvan Sandu 2009-06-16 02:25:51 EDT
I'm able to confirm that the problem I've seen in comment #9 is solved by the update; THANKS A LOT ! From my point of view, this bug can be closed.

Răzvan
Comment 18 Fedora Update System 2009-06-30 17:32:13 EDT
libgweather-2.26.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Dan Winship 2009-07-02 17:01:06 EDT
*** Bug 509167 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.